@import "../css/colors";
.Receipt {
    padding-top: 20px;
    padding-right: 10px;
    max-width: 500px;
    min-width: 30%;
    
    @media screen and (max-width: 640px) {
        padding-left: 10px;
        padding-right: 10px;
        min-width: 100%;
        margin: auto;
    }
    ul {
        font-size: 16px;
        background-color: white;
        padding-right: 20px;
        @media screen and (max-width: 1200px) {
            position: fixed;
            width: 33.3vw;
            left: 66.6vw;
        }
        @media screen and (max-width: 768px) {
            width: 50vw;
            left: 50vw;
        }
        @media screen and (max-width: 640px) {
            position: static;
            width: 100%;
        }
        li {
            list-style: none;
            text-transform: uppercase;
            display: flex;
            justify-content: space-between;
            border-bottom: .5px solid $grey_1;
            padding-top: 5px;
            padding-bottom: 5px;
            padding-left: 30px;
            padding-right: 5px;

            .price {
                color: $blue;
                flex-shrink: 0;
            }
            
            &.Totals {
                border-bottom-color: blue;
                padding-top: 15px;
                padding-bottom: 15px;
                padding-left: 0;
                padding-right: 0;
                > div {
                    border: .7px solid $grey_2;
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    padding-left: 10px;
                    padding-right: 10px;
                    &:first-child {
                        flex-basis: 30%;
                    }
                    &:nth-child(2) {  
                        
                        flex-basis: 65%;
                        span {
                            &:first-child {
                                margin-right: 40px;
                                font-size: 12px;
                            }
                        }
                    }
                }
                
                .price {
                    font-size: 20px;
                }
            }

            &.Ctas {
                justify-content: flex-end;
                padding-right: 0;
                padding-bottom: 10px;
                button {
                    background-color: $blue;
                    border: none;
                    color: white;
                    height: 45px;
                    flex-basis: 55%;
                    font-size: 14px;
                    margin-top: 10px;
                }
            }
        }
    }
}
